% === brownfunc.m -      ===
clear all;
clc;
Fs = 22050;            %  
T = 10;                %  , 
N = T*Fs;              %    - 

x = randn(N,1);        %   

load fltrbnk7_struct;  %    7  
a = fltrbnk7_struct.a;
len_a = fltrbnk7_struct.len_a;
koef = [8 4 2 1 1/2 1/4 1/8];    % .    
y = filter_band_7_func(x,a,koef); %  .  
y = sum(y,2);                     %    
y = y/std(y);                     %   . 

Naver = 30;                       %   
beta = 1/Naver;                   %   . 
z(1) = x(1);
for n = 2:N                       %  
    z(n) = (1-beta)*z(n-1)+beta*x(n);
end
z = z/std(z);

%  
window = rectwin(2048); noverlap = 0; nfft = 2048;
[Px,f] = pwelch(x,window,noverlap,nfft,Fs);
[Py,f] = pwelch(y,window,noverlap,nfft,Fs);
[Pz,f] = pwelch(z,window,noverlap,nfft,Fs);

%   
figure;
plot(f,10*log10(Px),f,10*log10(Py),'k',f,10*log10(Pz),'r','LineWidth',2);
xlabel(', ','fontsize',14); 
ylabel(' , ','fontsize',14);
legend('','..','');
