% === demo_masking.m ===
%         :
% ,     
%    -

% 1.  :    -;
% 2.     ;
%       -  :
%       -  ;
%       - ;
% 3.        

%  : . , 17  2016 .

quest = 1;

while (quest == 1)

clc         %   
clear all   %  workspace

SNR0 = input('  SNR ( -12   +12 ): ');

[x, Fd] = wavread('rech_8kHz');     %   
N = length(x);
x = x - mean(x);          %    

pause on                     %  ""

% ====     SNR0 ====
mixmatr = zeros(N,3);      %  
for m = 1:3
    switch m
        case 1        %  
            n = kvazi_pink(N);
        case 2        %   
            n = nonst_pink(x);
        case 3        %  
            Nf0 = 4; Nt0 = 80; Nt1 = 1000;
            n = spchmdr(x,Nf0,Nt0,Nt1);           
    end
    % ---       SNR0 ---
        psig = var(x);  %  
        pnoise = var(n);  %  
        SNR = 10*log10(psig/pnoise);  % - 
        k0 = 10^(0.05*(SNR-SNR0));    % . .  
        n = n*k0;             %   
    %   +    
        xmix = x + n;
        xmix = xmix/max(abs(xmix));   % 
        mixmatr(:,m) = xmix;          %     
end

%   
        quest = input('  ? "1" - , "0" - : ');
    if quest == 1
        disp('  ');      %   
        pause (0.5)
        wavplay(x,Fd,'sync');               %  
    end

disp(' ');
disp('    '); disp(' '); pause;

% ===   ===
disp(['      SNR0 = ' num2str(SNR0) ' ']);
wavplay(mixmatr(:,1),Fd,'sync');               %  
disp('    '); disp(' '); pause;
disp(['   .    SNR0 = ' num2str(SNR0) ' ']);
wavplay(mixmatr(:,2),Fd,'sync');               %  
disp('    '); disp(' '); pause;
disp(['      SNR0 = ' num2str(SNR0) ' ']);
wavplay(mixmatr(:,3),Fd,'sync');               %  
disp('    '); disp(' '); pause;

%    
quest = input('   SNR? "1" - , "0" - : ');

end