% === nonst_kvazi_pink.m ===
%    
clear all;
clc;
[x,Fs] = wavread('rech_8kHz');
x = x- mean(x);

%    
o = zeros(length(x),1);
N = 1000; beta = 1/N;
   for n = 2:length(x)
      o(n) = (1-beta)*o(n-1)+beta*abs(x(n));
   end
   
%    
ns_ravn = rand(length(x),1)-0.5;
ns_ravn = ns_ravn/std(ns_ravn);
ynn1000 = ns_ravn.*o;

%   
n_kvazi = zeros(length(x),1);
Naver = 3;
beta = 1/Naver;
n_kvazi(1) = ns_ravn(1);
for n = 2:length(x)
    n_kvazi(n) = (1-beta)*n_kvazi(n-1)+beta*ns_ravn(n);
end
n_kvazi = n_kvazi/std(n_kvazi);
ynn1000kvazi = n_kvazi.*o;

%   + 
SNR0 = -12;
psig = var(x);  %  
pn = var(ynn1000);  %  . 
pk = var(ynn1000kvazi);  %  . 
SNRn = 10*log10(psig/pn);  % -   . 
SNRk = 10*log10(psig/pk);  % -   . 
k0n = 10^(0.05*(SNRn-SNR0));    % ..  . 
k0k = 10^(0.05*(SNRk-SNR0));    % ..  . 
ynn1000 = ynn1000*k0n;             %    
ynn1000kvazi = ynn1000kvazi*k0k;             %    

%   +    
xmixn = x + ynn1000;
xmixn = xmixn/max(abs(xmixn));
xmixk = x + ynn1000kvazi;
xmixk = xmixk/max(abs(xmixk));

%  
pause on; 
wavplay(xmixn,Fs);
pause(2);
wavplay(xmixk,Fs);
pause off;