% === speech_intel_nonstat.m ===
%          -
%        -

% 1.  :  ;
% 2.   - SNR0 = - 12 ;
% 3.   
%       -  :
%       - ;
%       -  
% 4.     ( ) 
%         

%   MOS    
%          
%               5 
%                4 
%     3 
%         2 
%                 1 

%  : . , 13  2016 .

clc         %   
clear all   %  workspace

mSNR0 = [12 6 0 -6 -12];      %  SNR0
ocenki = zeros(length(mSNR0),3);    %    

v=input('   wav- ( ): '); %  
[x, Fd]=wavread(v);            %   
x = x-mean(x);                 %    
T = input('  (  15 ): '); %  
disp('   ');
N = Fd*T;
x=x(1:N);      %  N  

% ====    ====
nmatr = zeros(N,3);      %  
for m = 1:3
    switch m
        case 1        %   
            n = randn(N,1);
        case 2        %  
            Nf0 = round(Fd/2000); Nt0 = round(Fd*0.01); Nt1 = round(Fd*0.125);
            n = spchmdr(x,Nf0,Nt0,Nt1); n = n';
        case 3        %  
            n = nonstmask(x,1000);
    end
    nmatr(:,m) = n;
end

clc;             %   
pause on                     %  ""

%    - SNR0
for nSNR0 = 1:5
SNR0 = mSNR0(nSNR0);
disp(['  - = ' num2str(SNR0)]);  %  

    %   
        quest = input('  ? "1" - , "0" - : ');
    if quest == 1
        disp('  ');      %   
        pause (0.5)
        wavplay(x,Fd,'sync');               %  
    end

pause(1);

% ---   -----
for m = 1:3
    pause(0.9);
    n = nmatr(:,m);
    % ---       SNR0 ---
        psig = var(x);  %  
        pnoise = var(n);  %     
        SNR = 10*log10(psig/pnoise);  % - 
        k0 = 10^(0.05*(SNR-SNR0));    % ..  
        n = n*k0;             %   
    %   +    
    xmix = x + n;
    xmix = xmix/max(abs(xmix));   %   

        pause(1)
    disp(['    ',num2str(m)]);      %   
    pause(0.6);                         % 0,6 
    wavplay(xmix,Fd,'sync');         %  
    g=input('   1  5 ( ): ');   %    
    ocenki(nSNR0,m)=g;    %     ,   
% clc;             %   
end
end

pause off

%   
b=input('   ( ): ');
b1 = [v '_' b '_nonst'];                %       
save(b1,'mSNR0','ocenki');   %    mat-

%    
figure;
plot(mSNR0,ocenki(:,1), 'LineWidth', 2); hold on;  %    
plot(mSNR0,ocenki(:,2), '--r', 'LineWidth', 2); hold on;  %    
plot(mSNR0,ocenki(:,3), '-.k', 'LineWidth', 2); grid on; %    
axis ([-12 12 1 5]);     %   
xlabel (' -, dB','fontsize',14);
ylabel('','fontsize',14);
legend('white','speech-like','non-stat');
title(b1,'fontsize',14);  %   

